Skip to content

Get Assembly Orders Statuses ​

http
POST /api/v3/orders/status

Base URL: https://marketplace-api.wildberries.ru · Module: orders-fbs · Section: FBS Assembly Orders · Specification doc ↗

Returns the statuses of assembly orders from the request. supplierStatus is a status of an assembly order. Its change is always triggered only by the seller. Possible values of supplierStatus:

StatusDescriptionHow to move the assembly orders to this status
new**New order**
confirm**In assembly**
For delivery by Wildberries fbs
Add assembly orders to the supply
Transfer orders from supply to assembly
complete**In delivery**
For delivery by Wildberries fbs and by WB courier wbgo
Transfer the supply to delivery
cancel**Canceled by seller**Cancel the order
cancel\_carrier**Canceled by carrier**
For crossborder only
Changed by the carrier
wbStatus — is a status of an order on the Wildberries side.
Possible values for this field are:
  • waiting — the seller confirmed the order, and the Wildberries has not received it yet
  • sorted — the Wildberries warehouse sorted the order
  • sold — the order is sold
  • canceled — the seller canceled the order
  • canceled\_by\_client — the buyer canceled the order upon receipt
  • declined\_by\_client — the buyer canceled the order in the first hour Cancellation is available to the buyer in the first hour from the moment of order, if the order is not transferred to confirm status.
  • defect — cancellation of the order due to a defect
  • ready\_for\_pickup — the order came at pickup point and waiting for the client
  • postponed\_delivery — courier delivery is postponed
  • accepted\_by\_carrier — accepted by carrier. The order is handed over to delivery service in the seller country
  • sent\_to\_carrier — dispatched to carrier. The order is on the way to delivery service's warehouse in the seller
  • canceled\_by\_carrier — the order was cancelled by the carrier. For crossborder only

Request limit per one seller account for FBS assembly orders, supplies, passes and auto-return settings methods:

PeriodLimitIntervalBurst
1 min300 requests200 ms20 requests
One request with 4XX response codes is counted as 10 requests.

In Sandbox — maximum of 1 request per second for all Marketplace methods in total.

Request body ​

application/json — schema object, optional

  • orders integer<int64>[] (required) — List of assembly order IDs

Responses ​

CodeDescriptionSchema
200SuccessPostV3OrdersStatusResponse200
400Bad requestError
401Unauthorizedobject
402Payment requiredobject
403Access deniedError
429Too many requestsobject

Structure 200:

  • orders object[]
    • id integer<int64> — Assembly order ID
    • isCancellable boolean — Whether assembly order cancellation is available: - false — not available - true — available
    • isTransferable boolean — Can be moved from delivery to assembly: - false — not available - true — available An assembly order can be moved from delivery to assembly if all the following conditions are met: - the assembly order is in the complete status — in delivery - the supply to which the assembly order needs to be moved is not transferred to delivery - the assembly order has not been moved before
    • supplierStatus string = new | confirm | complete | cancel — Assembly order status set by the seller
    • wbStatus string = waiting | sorted | sold | canceled | canceled_by_client | declined_by_client | defect | ready_for_pickup | postponed_delivery | accepted_by_carrier | sent_to_carrier — Assembly order status set by WB system

Structure 400:

  • code string — Error code
  • message string — Error description
  • data object — Additional data for the error

Structure 401:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Structure 402:

Structure 403:

  • code string — Error code
  • message string — Error description
  • data object — Additional data for the error

Structure 429:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Call examples ​

Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.

python
from wb_api_client.orders_fbs import Configuration, ApiClient
from wb_api_client.orders_fbs.api import OrdersFbsApi

cfg = Configuration(access_token="<your WB JWT>")
api = OrdersFbsApi(ApiClient(cfg))

result = api.post_v3_orders_status(post_v3_orders_status_request=...)
print(result)
ts
import {
  Configuration,
  OrdersFbsApi,
} from "@valeryverkhoturov/wb-api-client/orders-fbs";

const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new OrdersFbsApi(cfg);

const { data } = await api.postV3OrdersStatus(postV3OrdersStatusRequest);
console.log(data);
go
import (
	"context"
	"fmt"

	wbordersfbs "github.com/ValeryVerkhoturov/wb-api-client-go/orders_fbs"
)

cfg := wbordersfbs.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbordersfbs.NewAPIClient(cfg)

result, _, err := client.OrdersFbsAPI.PostV3OrdersStatus(context.Background()).Execute()
if err != nil {
    panic(err)
}
fmt.Printf("%+v\n", result)
java
import io.github.valeryverkhoturov.wbapi.orders_fbs.ApiClient;
import io.github.valeryverkhoturov.wbapi.orders_fbs.SecretString;
import io.github.valeryverkhoturov.wbapi.orders_fbs.api.OrdersFbsApi;

ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
OrdersFbsApi api = new OrdersFbsApi(client);

System.out.println(api.postV3OrdersStatus(postV3OrdersStatusRequest));
php
use ValeryVerkhoturov\WbApiClient\OrdersFbs\Configuration;
use ValeryVerkhoturov\WbApiClient\OrdersFbs\SecretString;
use ValeryVerkhoturov\WbApiClient\OrdersFbs\Api\OrdersFbsApi;
use GuzzleHttp\Client;

$config = (new Configuration())
    ->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new OrdersFbsApi(new Client(), $config);

print_r($api->postV3OrdersStatus());
bsl
#Использовать "wb-api-client"

Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый OrdersFbsApi(Настройки);

Сообщить(Клиент.PostV3OrdersStatus(Тело).Тело);
csharp
using ValeryVerkhoturov.WbApiClient.OrdersFbs.Api;
using ValeryVerkhoturov.WbApiClient.OrdersFbs.Client;

var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new OrdersFbsApi(config);

Console.WriteLine(api.PostV3OrdersStatus());
rust
use wb_api_client::orders_fbs::apis::{configuration::Configuration, orders_fbs_api};

#[tokio::main]
async fn main() {
    let mut cfg = Configuration::new();
    cfg.set_access_token("<your WB JWT>");

    let result = orders_fbs_api::post_v3_orders_status(&cfg, post_v3_orders_status_request).await;
    println!("{:#?}", result);
}